Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059072 - [Docs] [Tech Ref] remove rhevm- prefix from command-line utilities
Summary: [Docs] [Tech Ref] remove rhevm- prefix from command-line utilities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.1
Assignee: Andrew Dahms
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 997341
Blocks: 1042676 1049090 1049676 1053298 1055857
TreeView+ depends on / blocked
 
Reported: 2014-01-29 05:32 UTC by Andrew Dahms
Modified: 2014-04-07 03:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 997341
Environment:
Last Closed: 2014-04-07 03:05:56 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-01-29 05:32:56 UTC
+++ This bug was initially created as a clone of Bug #997341 +++

Hello,

rhevm- prefix were the prefix of command-line utilities before the upstream ovirt-engine was introduced.

Then all utilities where renamed to engine- prefix while keeping backward compatibility using symlinks.

[BTW: the choice of engine- and not ovirt-engine- or ovirt- was probably not wise as it is too generic].

There is no reason to keep the legacy names within documentation, so please rename all references of rhevm- to engine- to use the upstream terms, so we can remove the rhevm- prefix in future.

Thanks,

--- Additional comment from Alon Bar-Lev on 2013-08-15 04:15:13 EDT ---

Now I can also see that the rhevm string is used as service, this is not true for a while... should be ovirt-engine.

--- Additional comment from Tim Hildred on 2013-10-27 20:04:03 EDT ---

Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.

Comment 1 Andrew Dahms 2014-01-29 05:37:34 UTC
Fixed in: 8967

Comment 2 Andrew Dahms 2014-01-31 06:18:52 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Technical_Reference_Guide/index.html#Remote_Authentication_Using_GSSAPI

What Changed
------------------------------
Changed one reference to 'rhevm-manage-domains' to 'engine-manage-domains' in the following topic:

Remote Authentication Using GSSAPI [ 8967-581107 ]

Updated revision history:  [ 21138-581108 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-3.3-en-US-3.3-12

Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.